# TODO: heimdal support
#
# Conditional build:
%bcond_with	kerberos5	# GSSAPI authentication (currently only MIT krb5 supported)
%bcond_without	radius		# RADIUS support
#
Summary:	OpenConnect VPN server
Summary(pl.UTF-8):	Serwer VPN-a OpenConnect
Name:		ocserv
Version:	0.11.6
Release:	4
License:	GPL v2+
Group:		Applications/Networking
Source0:	ftp://ftp.infradead.org/pub/ocserv/%{name}-%{version}.tar.xz
# Source0-md5:	0e4f82d267d27f2f9d3fcba58ac6cf5a
Patch0:		%{name}-link.patch
URL:		http://www.infradead.org/ocserv/
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake >= 1:1.11.3
BuildRequires:	autogen
BuildRequires:	autogen-devel
BuildRequires:	gnutls-devel >= 3.1.10
BuildRequires:	http-parser-devel
# pkgconfig(krb5-gssapi)
%{?with_kerberos5:BuildRequires:	krb5-devel}
BuildRequires:	libev-devel >= 4
BuildRequires:	libnl-devel >= 3.2
BuildRequires:	libpcl-devel
BuildRequires:	libseccomp-devel
%{?with_kerberos5:BuildRequires:	libtasn1-devel >= 3.9}
BuildRequires:	libwrap-devel
BuildRequires:	lz4-devel >= 1:1.7
BuildRequires:	nettle-devel >= 2.7
BuildRequires:	oath-toolkit-devel
BuildRequires:	pam-devel
BuildRequires:	pkgconfig
BuildRequires:	protobuf-c-devel
%{?with_radius:BuildRequires:	radcli-devel >= 1.2.5}
BuildRequires:	readline-devel
BuildRequires:	systemd-devel
BuildRequires:	talloc-devel
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	gnutls >= 3.1.10
Requires:	libnl >= 3.2
%{?with_radius:Requires:	radcli >= 1.2.5}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OpenConnect server (ocserv) is an SSL VPN server. Its purpose is to be
a secure, small, fast and configurable VPN server. It implements the
OpenConnect SSL VPN protocol, and has also (currently experimental)
compatibility with clients using the AnyConnect SSL VPN protocol. The
OpenConnect VPN protocol uses the standard IETF security protocols
such as TLS 1.2, and Datagram TLS to provide the secure VPN service.
The server is implemented primarily for the GNU/Linux platform but its
code is designed to be portable to other UNIX variants as well.

%description -l pl.UTF-8
Serwer OpenConnect (ocserv) to serwer VPN-u SSL. Celem projektu jest
bezpieczny, mały, szybki i konfigurowalny serwer VPN. Implementuje
protokół VPN-u SSL OpenConnect, zapewnia także (obecnie
eksperymentalną) zgodność z klientami wykorzystującymi protokół VPN
SSL AnyConnect. Protokół VPN OpenConnect wykorzystuje standardowe
protokoły bezpieczeństwa IETF, takie jak TLS 1.2 oraz Datagram TLS w
celu zapewnienia bezpieczeństwa usługi VPN. Serwer jest
zaimplementowany głównie dla platformy GNU/Linux, ale kod jest
zaprojektowany jako zgodny także z innymi wariantami uniksów.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal} -I gl/m4 -I libopts/m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{!?with_kerberos5:--without-gssapi} \
	%{!?with_radius:--without-radius}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog LICENSE NEWS README.md TODO
%attr(755,root,root) %{_bindir}/occtl
%attr(755,root,root) %{_bindir}/ocpasswd
%attr(755,root,root) %{_bindir}/ocserv-fw
%attr(755,root,root) %{_sbindir}/ocserv
%{_mandir}/man8/occtl.8*
%{_mandir}/man8/ocpasswd.8*
%{_mandir}/man8/ocserv.8*
%changelog
* Thu Oct 17 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ocserv.git;a=log;h=master

* Thu Oct 17 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> be65d15
- release 4 (by relup.sh)

* Wed Jun 26 2019 Adam Gołębiowski <adamg@pld-linux.org> 49c2607
- release 3, rebuild against libnettle.so.6 (nettle-3.5)

* Sat Apr 08 2017 Jan Rękorajski <baggins@pld-linux.org> a61c08d
- rebuild with gnutls 3.5
- release 2 (by relup.sh)

* Mon Dec 19 2016 Jakub Bogusz <qboosh@pld-linux.org> 13ee10c
- updated to 0.11.6

* Tue Oct 18 2016 Jan Rękorajski <baggins@pld-linux.org> 5c8f678
- rebuild with readline 7.0
- release 2 (by relup.sh)

* Mon Jun 27 2016 Jakub Bogusz <qboosh@pld-linux.org> 7b6ac68
- updated to 0.11.3
- updated link patch

* Fri Mar 18 2016 Jan Rękorajski <baggins@pld-linux.org> 12d25db
- release 3 (by relup.sh)

* Mon Mar 14 2016 Jan Rękorajski <baggins@pld-linux.org> fad8850
- release 2 (by relup.sh)

* Sun Feb 28 2016 Jakub Bogusz <qboosh@pld-linux.org> 6bbc509
- updated to 0.11.0
- added link patch (fixes build with as-needed)

* Mon Nov 30 2015 Jakub Bogusz <qboosh@pld-linux.org> dc1f160
- updated to 0.10.10
- switched from freeradius-client to radcli

* Wed Sep 30 2015 Jakub Bogusz <qboosh@pld-linux.org> 7b79506
- updated to 0.10.8

* Sun May 10 2015 Jakub Bogusz <qboosh@pld-linux.org> 265f354
- up to 0.10.4

* Sun Mar 22 2015 Jakub Bogusz <qboosh@pld-linux.org> a1b7889
- updated to 0.10.1

* Mon Nov 10 2014 Jan Rękorajski <baggins@pld-linux.org> c043b4d
- up to 0.8.7

* Tue Oct 28 2014 Jan Rękorajski <baggins@pld-linux.org> e80c4e5
- release 3 (by relup.sh)

* Sun Oct 26 2014 Jan Rękorajski <baggins@pld-linux.org> 4c09632
- release 2 (by relup.sh)

* Tue Apr 15 2014 Jakub Bogusz <qboosh@pld-linux.org> 3789151
- new

